{
    "packages": [
        {
            "name": "doctrine/cache",
            "version": "1.12.1",
            "version_normalized": "1.12.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/doctrine/cache.git",
                "reference": "4cf401d14df219fa6f38b671f5493449151c9ad8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/doctrine/cache/zipball/4cf401d14df219fa6f38b671f5493449151c9ad8",
                "reference": "4cf401d14df219fa6f38b671f5493449151c9ad8",
                "shasum": ""
            },
            "require": {
                "php": "~7.1 || ^8.0"
            },
            "conflict": {
                "doctrine/common": ">2.2,<2.4"
            },
            "require-dev": {
                "alcaeus/mongo-php-adapter": "^1.1",
                "cache/integration-tests": "dev-master",
                "doctrine/coding-standard": "^8.0",
                "mongodb/mongodb": "^1.1",
                "phpunit/phpunit": "^7.0 || ^8.0 || ^9.0",
                "predis/predis": "~1.0",
                "psr/cache": "^1.0 || ^2.0 || ^3.0",
                "symfony/cache": "^4.4 || ^5.2 || ^6.0@dev",
                "symfony/var-exporter": "^4.4 || ^5.2 || ^6.0@dev"
            },
            "suggest": {
                "alcaeus/mongo-php-adapter": "Required to use legacy MongoDB driver"
            },
            "time": "2021-07-17T14:39:21+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Doctrine\\Common\\Cache\\": "lib/Doctrine/Common/Cache"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Guilherme Blanco",
                    "email": "guilhermeblanco@gmail.com"
                },
                {
                    "name": "Roman Borschel",
                    "email": "roman@code-factory.org"
                },
                {
                    "name": "Benjamin Eberlei",
                    "email": "kontakt@beberlei.de"
                },
                {
                    "name": "Jonathan Wage",
                    "email": "jonwage@gmail.com"
                },
                {
                    "name": "Johannes Schmitt",
                    "email": "schmittjoh@gmail.com"
                }
            ],
            "description": "PHP Doctrine Cache library is a popular cache implementation that supports many different drivers such as redis, memcache, apc, mongodb and others.",
            "homepage": "https://www.doctrine-project.org/projects/cache.html",
            "keywords": [
                "abstraction",
                "apcu",
                "cache",
                "caching",
                "couchdb",
                "memcached",
                "php",
                "redis",
                "xcache"
            ],
            "support": {
                "issues": "https://github.com/doctrine/cache/issues",
                "source": "https://github.com/doctrine/cache/tree/1.12.1"
            },
            "funding": [
                {
                    "url": "https://www.doctrine-project.org/sponsorship.html",
                    "type": "custom"
                },
                {
                    "url": "https://www.patreon.com/phpdoctrine",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/doctrine%2Fcache",
                    "type": "tidelift"
                }
            ],
            "install-path": "../doctrine/cache"
        },
        {
            "name": "dodgepudding/wechat-php-sdk",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/dodgepudding/wechat-php-sdk.git",
                "reference": "3a9b9601a07797497e8c428cfd20a29d37a66a35"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/dodgepudding/wechat-php-sdk/zipball/3a9b9601a07797497e8c428cfd20a29d37a66a35",
                "reference": "3a9b9601a07797497e8c428cfd20a29d37a66a35",
                "shasum": ""
            },
            "require": {
                "php": ">=5.1.0"
            },
            "time": "2015-03-15T17:07:41+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "dodgepudding\\wechat\\sdk\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL"
            ],
            "authors": [
                {
                    "name": "dodgepudding",
                    "email": "dodgepudding@gmail.com"
                },
                {
                    "name": "binsee",
                    "email": "binsee@163.com"
                }
            ],
            "description": "the wechat api library without framework dependency",
            "keywords": [
                "sample",
                "thinkphp",
                "wechat",
                "weixin"
            ],
            "support": {
                "issues": "https://github.com/dodgepudding/wechat-php-sdk/issues",
                "source": "https://github.com/dodgepudding/wechat-php-sdk",
                "wiki": "https://github.com/dodgepudding/wechat-php-sdk/wiki"
            },
            "install-path": "../dodgepudding/wechat-php-sdk"
        },
        {
            "name": "gregwar/captcha",
            "version": "v1.1.9",
            "version_normalized": "1.1.9.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Gregwar/Captcha.git",
                "reference": "4bb668e6b40e3205a020ca5ee4ca8cff8b8780c5"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Gregwar/Captcha/zipball/4bb668e6b40e3205a020ca5ee4ca8cff8b8780c5",
                "reference": "4bb668e6b40e3205a020ca5ee4ca8cff8b8780c5",
                "shasum": ""
            },
            "require": {
                "ext-gd": "*",
                "ext-mbstring": "*",
                "php": ">=5.3.0",
                "symfony/finder": "*"
            },
            "require-dev": {
                "phpunit/phpunit": "^6.4"
            },
            "time": "2020-03-24T14:39:05+00:00",
            "type": "captcha",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Gregwar\\": "src/Gregwar"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Grégoire Passault",
                    "email": "g.passault@gmail.com",
                    "homepage": "http://www.gregwar.com/"
                },
                {
                    "name": "Jeremy Livingston",
                    "email": "jeremy.j.livingston@gmail.com"
                }
            ],
            "description": "Captcha generator",
            "homepage": "https://github.com/Gregwar/Captcha",
            "keywords": [
                "bot",
                "captcha",
                "spam"
            ],
            "support": {
                "issues": "https://github.com/Gregwar/Captcha/issues",
                "source": "https://github.com/Gregwar/Captcha/tree/master"
            },
            "install-path": "../gregwar/captcha"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "6.5.5",
            "version_normalized": "6.5.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "9d4290de1cfd701f38099ef7e183b64b4b7b0c5e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/9d4290de1cfd701f38099ef7e183b64b4b7b0c5e",
                "reference": "9d4290de1cfd701f38099ef7e183b64b4b7b0c5e",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.0",
                "guzzlehttp/psr7": "^1.6.1",
                "php": ">=5.5",
                "symfony/polyfill-intl-idn": "^1.17.0"
            },
            "require-dev": {
                "ext-curl": "*",
                "phpunit/phpunit": "^4.8.35 || ^5.7 || ^6.4 || ^7.0",
                "psr/log": "^1.1"
            },
            "suggest": {
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2020-06-16T21:01:06+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "6.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                },
                "files": [
                    "src/functions_include.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "homepage": "http://guzzlephp.org/",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/6.5"
            },
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "1.5.1",
            "version_normalized": "1.5.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "fe752aedc9fd8fcca3fe7ad05d419d32998a06da"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/fe752aedc9fd8fcca3fe7ad05d419d32998a06da",
                "reference": "fe752aedc9fd8fcca3fe7ad05d419d32998a06da",
                "shasum": ""
            },
            "require": {
                "php": ">=5.5"
            },
            "require-dev": {
                "symfony/phpunit-bridge": "^4.4 || ^5.1"
            },
            "time": "2021-10-22T20:56:57+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.5-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                },
                "files": [
                    "src/functions_include.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/1.5.1"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "1.8.3",
            "version_normalized": "1.8.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "1afdd860a2566ed3c2b0b4a3de6e23434a79ec85"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/1afdd860a2566ed3c2b0b4a3de6e23434a79ec85",
                "reference": "1afdd860a2566ed3c2b0b4a3de6e23434a79ec85",
                "shasum": ""
            },
            "require": {
                "php": ">=5.4.0",
                "psr/http-message": "~1.0",
                "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
            },
            "provide": {
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "ext-zlib": "*",
                "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.14 || ^7.5.20 || ^8.5.8 || ^9.3.10"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2021-10-05T13:56:00+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.7-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                },
                "files": [
                    "src/functions_include.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/1.8.3"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "hanson/foundation-sdk",
            "version": "4.0.2",
            "version_normalized": "4.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Hanson/foundation-sdk.git",
                "reference": "0dc689682d72e411a28e7d4d27deb516345839ac"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Hanson/foundation-sdk/zipball/0dc689682d72e411a28e7d4d27deb516345839ac",
                "reference": "0dc689682d72e411a28e7d4d27deb516345839ac",
                "shasum": ""
            },
            "require": {
                "doctrine/cache": "^1.6",
                "ext-curl": "*",
                "guzzlehttp/guzzle": "^6.2",
                "monolog/monolog": "^1.22|^2.0",
                "php": "^7.0",
                "pimple/pimple": "^3.0",
                "symfony/http-foundation": "^3.3|^4.0|^5.0"
            },
            "time": "2020-07-28T11:44:12+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Hanson\\Foundation\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "HanSon",
                    "email": "h@hanc.cc"
                }
            ],
            "support": {
                "issues": "https://github.com/Hanson/foundation-sdk/issues",
                "source": "https://github.com/Hanson/foundation-sdk/tree/4.0.2"
            },
            "install-path": "../hanson/foundation-sdk"
        },
        {
            "name": "javion/image",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/slumzzw/Image.git",
                "reference": "d89e8e460a8f6459652d2b5834a075465a511139"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/slumzzw/Image/zipball/d89e8e460a8f6459652d2b5834a075465a511139",
                "reference": "d89e8e460a8f6459652d2b5834a075465a511139",
                "shasum": ""
            },
            "require": {
                "php": ">=5.4"
            },
            "time": "2017-12-02T16:55:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Javion\\Image\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT License"
            ],
            "authors": [
                {
                    "name": "Javion",
                    "email": "535090976@qq.com"
                }
            ],
            "description": "图片合成，图片水印处理",
            "homepage": "https://github.com/slumzzw/Image",
            "keywords": [
                "image",
                "php",
                "water",
                "图片合成",
                "图片水印"
            ],
            "support": {
                "issues": "https://github.com/slumzzw/Image/issues",
                "source": "https://github.com/slumzzw/Image/tree/1.0.1"
            },
            "install-path": "../javion/image"
        },
        {
            "name": "justmd5/pinduoduo-sdk",
            "version": "v1.5.1",
            "version_normalized": "1.5.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/justmd5/pinduoduo-sdk.git",
                "reference": "ce24f1c5a4f11613af1807112c67bc1d74f04802"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/justmd5/pinduoduo-sdk/zipball/ce24f1c5a4f11613af1807112c67bc1d74f04802",
                "reference": "ce24f1c5a4f11613af1807112c67bc1d74f04802",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "hanson/foundation-sdk": "4.0.2",
                "php": "^7.0"
            },
            "time": "2021-09-13T07:46:58+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Justmd5\\PinDuoDuo\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "丁海军",
                    "email": "heyjun2012@gmail.com"
                }
            ],
            "description": "拼荣升API SDK【拼荣升开放平台】.",
            "keywords": [
                "duoduoke",
                "pinduoduo",
                "sdk",
                "荣升客",
                "拼荣升",
                "拼荣升SDK"
            ],
            "support": {
                "issues": "https://github.com/justmd5/pinduoduo-sdk/issues",
                "source": "https://github.com/justmd5/pinduoduo-sdk/tree/v1.5.1"
            },
            "funding": [
                {
                    "url": "https://justmd5.com/donate.jpg",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/",
                    "type": "github"
                },
                {
                    "url": "https://www.patreon.com/justmd5",
                    "type": "patreon"
                }
            ],
            "install-path": "../justmd5/pinduoduo-sdk"
        },
        {
            "name": "laminas/laminas-escaper",
            "version": "2.6.1",
            "version_normalized": "2.6.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/laminas/laminas-escaper.git",
                "reference": "25f2a053eadfa92ddacb609dcbbc39362610da70"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/laminas/laminas-escaper/zipball/25f2a053eadfa92ddacb609dcbbc39362610da70",
                "reference": "25f2a053eadfa92ddacb609dcbbc39362610da70",
                "shasum": ""
            },
            "require": {
                "laminas/laminas-zendframework-bridge": "^1.0",
                "php": "^5.6 || ^7.0"
            },
            "replace": {
                "zendframework/zend-escaper": "self.version"
            },
            "require-dev": {
                "laminas/laminas-coding-standard": "~1.0.0",
                "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
            },
            "time": "2019-12-31T16:43:30+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.6.x-dev",
                    "dev-develop": "2.7.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Laminas\\Escaper\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "description": "Securely and safely escape HTML, HTML attributes, JavaScript, CSS, and URLs",
            "homepage": "https://laminas.dev",
            "keywords": [
                "escaper",
                "laminas"
            ],
            "support": {
                "chat": "https://laminas.dev/chat",
                "docs": "https://docs.laminas.dev/laminas-escaper/",
                "forum": "https://discourse.laminas.dev",
                "issues": "https://github.com/laminas/laminas-escaper/issues",
                "rss": "https://github.com/laminas/laminas-escaper/releases.atom",
                "source": "https://github.com/laminas/laminas-escaper"
            },
            "install-path": "../laminas/laminas-escaper"
        },
        {
            "name": "laminas/laminas-zendframework-bridge",
            "version": "1.1.1",
            "version_normalized": "1.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/laminas/laminas-zendframework-bridge.git",
                "reference": "6ede70583e101030bcace4dcddd648f760ddf642"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/laminas/laminas-zendframework-bridge/zipball/6ede70583e101030bcace4dcddd648f760ddf642",
                "reference": "6ede70583e101030bcace4dcddd648f760ddf642",
                "shasum": ""
            },
            "require": {
                "php": "^5.6 || ^7.0 || ^8.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^5.7 || ^6.5 || ^7.5 || ^8.1 || ^9.3",
                "squizlabs/php_codesniffer": "^3.5"
            },
            "time": "2020-09-14T14:23:00+00:00",
            "type": "library",
            "extra": {
                "laminas": {
                    "module": "Laminas\\ZendFrameworkBridge"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/autoload.php"
                ],
                "psr-4": {
                    "Laminas\\ZendFrameworkBridge\\": "src//"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "description": "Alias legacy ZF class names to Laminas Project equivalents.",
            "keywords": [
                "ZendFramework",
                "autoloading",
                "laminas",
                "zf"
            ],
            "support": {
                "forum": "https://discourse.laminas.dev/",
                "issues": "https://github.com/laminas/laminas-zendframework-bridge/issues",
                "rss": "https://github.com/laminas/laminas-zendframework-bridge/releases.atom",
                "source": "https://github.com/laminas/laminas-zendframework-bridge"
            },
            "funding": [
                {
                    "url": "https://funding.communitybridge.org/projects/laminas-project",
                    "type": "community_bridge"
                }
            ],
            "install-path": "../laminas/laminas-zendframework-bridge"
        },
        {
            "name": "monolog/monolog",
            "version": "2.3.5",
            "version_normalized": "2.3.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Seldaek/monolog.git",
                "reference": "fd4380d6fc37626e2f799f29d91195040137eba9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Seldaek/monolog/zipball/fd4380d6fc37626e2f799f29d91195040137eba9",
                "reference": "fd4380d6fc37626e2f799f29d91195040137eba9",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2",
                "psr/log": "^1.0.1 || ^2.0 || ^3.0"
            },
            "provide": {
                "psr/log-implementation": "1.0.0 || 2.0.0 || 3.0.0"
            },
            "require-dev": {
                "aws/aws-sdk-php": "^2.4.9 || ^3.0",
                "doctrine/couchdb": "~1.0@dev",
                "elasticsearch/elasticsearch": "^7",
                "graylog2/gelf-php": "^1.4.2",
                "mongodb/mongodb": "^1.8",
                "php-amqplib/php-amqplib": "~2.4 || ^3",
                "php-console/php-console": "^3.1.3",
                "phpspec/prophecy": "^1.6.1",
                "phpstan/phpstan": "^0.12.91",
                "phpunit/phpunit": "^8.5",
                "predis/predis": "^1.1",
                "rollbar/rollbar": "^1.3",
                "ruflin/elastica": ">=0.90@dev",
                "swiftmailer/swiftmailer": "^5.3|^6.0"
            },
            "suggest": {
                "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
                "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
                "elasticsearch/elasticsearch": "Allow sending log messages to an Elasticsearch server via official client",
                "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
                "ext-curl": "Required to send log messages using the IFTTTHandler, the LogglyHandler, the SendGridHandler, the SlackWebhookHandler or the TelegramBotHandler",
                "ext-mbstring": "Allow to work properly with unicode symbols",
                "ext-mongodb": "Allow sending log messages to a MongoDB server (via driver)",
                "ext-openssl": "Required to send log messages using SSL",
                "ext-sockets": "Allow sending log messages to a Syslog server (via UDP driver)",
                "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
                "mongodb/mongodb": "Allow sending log messages to a MongoDB server (via library)",
                "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
                "php-console/php-console": "Allow sending log messages to Google Chrome",
                "rollbar/rollbar": "Allow sending log messages to Rollbar",
                "ruflin/elastica": "Allow sending log messages to an Elastic Search server"
            },
            "time": "2021-10-01T21:08:31+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Monolog\\": "src/Monolog"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "https://seld.be"
                }
            ],
            "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
            "homepage": "https://github.com/Seldaek/monolog",
            "keywords": [
                "log",
                "logging",
                "psr-3"
            ],
            "support": {
                "issues": "https://github.com/Seldaek/monolog/issues",
                "source": "https://github.com/Seldaek/monolog/tree/2.3.5"
            },
            "funding": [
                {
                    "url": "https://github.com/Seldaek",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/monolog/monolog",
                    "type": "tidelift"
                }
            ],
            "install-path": "../monolog/monolog"
        },
        {
            "name": "phpoffice/phpexcel",
            "version": "1.8.2",
            "version_normalized": "1.8.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPOffice/PHPExcel.git",
                "reference": "1441011fb7ecdd8cc689878f54f8b58a6805f870"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPOffice/PHPExcel/zipball/1441011fb7ecdd8cc689878f54f8b58a6805f870",
                "reference": "1441011fb7ecdd8cc689878f54f8b58a6805f870",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "ext-xml": "*",
                "ext-xmlwriter": "*",
                "php": "^5.2|^7.0"
            },
            "require-dev": {
                "squizlabs/php_codesniffer": "2.*"
            },
            "time": "2018-11-22T23:07:24+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "PHPExcel": "Classes/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-2.1"
            ],
            "authors": [
                {
                    "name": "Maarten Balliauw",
                    "homepage": "http://blog.maartenballiauw.be"
                },
                {
                    "name": "Erik Tilt"
                },
                {
                    "name": "Franck Lefevre",
                    "homepage": "http://rootslabs.net"
                },
                {
                    "name": "Mark Baker",
                    "homepage": "http://markbakeruk.net"
                }
            ],
            "description": "PHPExcel - OpenXML - Read, Create and Write Spreadsheet documents in PHP - Spreadsheet engine",
            "homepage": "https://github.com/PHPOffice/PHPExcel",
            "keywords": [
                "OpenXML",
                "excel",
                "php",
                "spreadsheet",
                "xls",
                "xlsx"
            ],
            "support": {
                "issues": "https://github.com/PHPOffice/PHPExcel/issues",
                "source": "https://github.com/PHPOffice/PHPExcel/tree/master"
            },
            "abandoned": "phpoffice/phpspreadsheet",
            "install-path": "../phpoffice/phpexcel"
        },
        {
            "name": "phpoffice/phpword",
            "version": "0.18.1",
            "version_normalized": "0.18.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPOffice/PHPWord.git",
                "reference": "06b90e39a36872c6ee73534e1a073f4b3132fc6a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPOffice/PHPWord/zipball/06b90e39a36872c6ee73534e1a073f4b3132fc6a",
                "reference": "06b90e39a36872c6ee73534e1a073f4b3132fc6a",
                "shasum": ""
            },
            "require": {
                "ext-xml": "*",
                "laminas/laminas-escaper": "^2.2",
                "php": "^5.3.3 || ^7.0 || ^8.0"
            },
            "require-dev": {
                "dompdf/dompdf": "0.8.* || 1.0.*",
                "ext-gd": "*",
                "ext-zip": "*",
                "friendsofphp/php-cs-fixer": "^2.2",
                "mpdf/mpdf": "5.7.4 || 6.* || 7.* || 8.*",
                "php-coveralls/php-coveralls": "1.1.0 || ^2.0",
                "phploc/phploc": "2.* || 3.* || 4.* || 5.* || 6.* || 7.*",
                "phpmd/phpmd": "2.*",
                "phpunit/phpunit": "^4.8.36 || ^7.0",
                "squizlabs/php_codesniffer": "^2.9 || ^3.5",
                "tecnickcom/tcpdf": "6.*"
            },
            "suggest": {
                "dompdf/dompdf": "Allows writing PDF",
                "ext-gd2": "Allows adding images",
                "ext-xmlwriter": "Allows writing OOXML and ODF",
                "ext-xsl": "Allows applying XSL style sheet to headers, to main document part, and to footers of an OOXML template",
                "ext-zip": "Allows writing OOXML and ODF"
            },
            "time": "2021-03-08T01:06:35+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-develop": "0.18-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "PhpOffice\\PhpWord\\": "src/PhpWord"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0"
            ],
            "authors": [
                {
                    "name": "Mark Baker"
                },
                {
                    "name": "Gabriel Bull",
                    "email": "me@gabrielbull.com",
                    "homepage": "http://gabrielbull.com/"
                },
                {
                    "name": "Franck Lefevre",
                    "homepage": "https://rootslabs.net/blog/"
                },
                {
                    "name": "Ivan Lanin",
                    "homepage": "http://ivan.lanin.org"
                },
                {
                    "name": "Roman Syroeshko",
                    "homepage": "http://ru.linkedin.com/pub/roman-syroeshko/34/a53/994/"
                },
                {
                    "name": "Antoine de Troostembergh"
                }
            ],
            "description": "PHPWord - A pure PHP library for reading and writing word processing documents (OOXML, ODF, RTF, HTML, PDF)",
            "homepage": "http://phpoffice.github.io",
            "keywords": [
                "ISO IEC 29500",
                "OOXML",
                "Office Open XML",
                "OpenDocument",
                "OpenXML",
                "PhpOffice",
                "PhpWord",
                "Rich Text Format",
                "WordprocessingML",
                "doc",
                "docx",
                "html",
                "odf",
                "odt",
                "office",
                "pdf",
                "php",
                "reader",
                "rtf",
                "template",
                "template processor",
                "word",
                "writer"
            ],
            "support": {
                "issues": "https://github.com/PHPOffice/PHPWord/issues",
                "source": "https://github.com/PHPOffice/PHPWord/tree/0.18.1"
            },
            "install-path": "../phpoffice/phpword"
        },
        {
            "name": "pimple/pimple",
            "version": "v3.2.3",
            "version_normalized": "3.2.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/silexphp/Pimple.git",
                "reference": "9e403941ef9d65d20cba7d54e29fe906db42cf32"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/silexphp/Pimple/zipball/9e403941ef9d65d20cba7d54e29fe906db42cf32",
                "reference": "9e403941ef9d65d20cba7d54e29fe906db42cf32",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0",
                "psr/container": "^1.0"
            },
            "require-dev": {
                "symfony/phpunit-bridge": "^3.2"
            },
            "time": "2018-01-21T07:42:36+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.2.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Pimple": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                }
            ],
            "description": "Pimple, a simple Dependency Injection Container",
            "homepage": "http://pimple.sensiolabs.org",
            "keywords": [
                "container",
                "dependency injection"
            ],
            "support": {
                "issues": "https://github.com/silexphp/Pimple/issues",
                "source": "https://github.com/silexphp/Pimple/tree/master"
            },
            "install-path": "../pimple/pimple"
        },
        {
            "name": "psr/container",
            "version": "1.1.1",
            "version_normalized": "1.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/container.git",
                "reference": "8622567409010282b7aeebe4bb841fe98b58dcaf"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/container/zipball/8622567409010282b7aeebe4bb841fe98b58dcaf",
                "reference": "8622567409010282b7aeebe4bb841fe98b58dcaf",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2.0"
            },
            "time": "2021-03-05T17:36:06+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "support": {
                "issues": "https://github.com/php-fig/container/issues",
                "source": "https://github.com/php-fig/container/tree/1.1.1"
            },
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-message",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
                "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T14:39:51+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/master"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "1.1.4",
            "version_normalized": "1.1.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/log/zipball/d49695b909c3b7628b6289db5479a1c204601f11",
                "reference": "d49695b909c3b7628b6289db5479a1c204601f11",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2021-05-03T11:20:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "Psr/Log/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "support": {
                "source": "https://github.com/php-fig/log/tree/1.1.4"
            },
            "install-path": "../psr/log"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "shuchkin/simplexlsx",
            "version": "0.8.21",
            "version_normalized": "0.8.21.0",
            "source": {
                "type": "git",
                "url": "https://github.com/shuchkin/simplexlsx.git",
                "reference": "6b6b2a7eed22a38cdb8c5e8ed17e4aa80eb40ced"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/shuchkin/simplexlsx/zipball/6b6b2a7eed22a38cdb8c5e8ed17e4aa80eb40ced",
                "reference": "6b6b2a7eed22a38cdb8c5e8ed17e4aa80eb40ced",
                "shasum": ""
            },
            "require": {
                "ext-libxml": "*",
                "ext-simplexml": "*",
                "ext-zlib": "*"
            },
            "time": "2021-01-10T23:21:38+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "classmap": [
                    "src/SimpleXLSX.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Sergey Shuchkin (SMSPILOT)",
                    "email": "sergey.shuchkin@gmail.com",
                    "homepage": "http://www.shuchkin.ru/"
                }
            ],
            "description": "Parse and retrieve data from Excel XLSx files. MS Excel 2007 workbooks PHP reader.",
            "homepage": "https://github.com/shuchkin/simplexlsx",
            "keywords": [
                "backend",
                "excel",
                "parser",
                "php",
                "xlsx"
            ],
            "support": {
                "issues": "https://github.com/shuchkin/simplexlsx/issues",
                "source": "https://github.com/shuchkin/simplexlsx/tree/0.8.21"
            },
            "install-path": "../shuchkin/simplexlsx"
        },
        {
            "name": "smalot/pdfparser",
            "version": "v1.0.2",
            "version_normalized": "1.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/smalot/pdfparser.git",
                "reference": "35c88120b7a6edebb54037a3bb15c5de3a5c8a24"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/smalot/pdfparser/zipball/35c88120b7a6edebb54037a3bb15c5de3a5c8a24",
                "reference": "35c88120b7a6edebb54037a3bb15c5de3a5c8a24",
                "shasum": ""
            },
            "require": {
                "ext-zlib": "*",
                "php": ">=7.1",
                "symfony/polyfill-mbstring": "^1.18"
            },
            "time": "2021-06-17T07:28:42+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-0": {
                    "Smalot\\PdfParser\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0"
            ],
            "authors": [
                {
                    "name": "Sebastien MALOT",
                    "email": "sebastien@malot.fr"
                }
            ],
            "description": "Pdf parser library. Can read and extract information from pdf file.",
            "homepage": "https://www.pdfparser.org",
            "keywords": [
                "extract",
                "parse",
                "parser",
                "pdf",
                "text"
            ],
            "support": {
                "issues": "https://github.com/smalot/pdfparser/issues",
                "source": "https://github.com/smalot/pdfparser/tree/v1.0.2"
            },
            "install-path": "../smalot/pdfparser"
        },
        {
            "name": "symfony/finder",
            "version": "v4.4.20",
            "version_normalized": "4.4.20.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/finder.git",
                "reference": "2543795ab1570df588b9bbd31e1a2bd7037b94f6"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/finder/zipball/2543795ab1570df588b9bbd31e1a2bd7037b94f6",
                "reference": "2543795ab1570df588b9bbd31e1a2bd7037b94f6",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3"
            },
            "time": "2021-02-12T10:48:09+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Finder\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Finds files and directories via an intuitive fluent interface",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/finder/tree/v4.4.20"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/finder"
        },
        {
            "name": "symfony/http-foundation",
            "version": "v4.4.34",
            "version_normalized": "4.4.34.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/http-foundation.git",
                "reference": "f4cbbb6fc428588ce8373802461e7fe84e6809ab"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/http-foundation/zipball/f4cbbb6fc428588ce8373802461e7fe84e6809ab",
                "reference": "f4cbbb6fc428588ce8373802461e7fe84e6809ab",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3",
                "symfony/mime": "^4.3|^5.0",
                "symfony/polyfill-mbstring": "~1.1",
                "symfony/polyfill-php80": "^1.16"
            },
            "require-dev": {
                "predis/predis": "~1.0",
                "symfony/expression-language": "^3.4|^4.0|^5.0"
            },
            "time": "2021-11-04T12:23:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\HttpFoundation\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Defines an object-oriented layer for the HTTP specification",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/http-foundation/tree/v4.4.34"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/http-foundation"
        },
        {
            "name": "symfony/mime",
            "version": "v4.4.34",
            "version_normalized": "4.4.34.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/mime.git",
                "reference": "dd269a4da0b7c227b8fa910940588fd1bae08493"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/mime/zipball/dd269a4da0b7c227b8fa910940588fd1bae08493",
                "reference": "dd269a4da0b7c227b8fa910940588fd1bae08493",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.3",
                "symfony/polyfill-intl-idn": "^1.10",
                "symfony/polyfill-mbstring": "^1.0",
                "symfony/polyfill-php80": "^1.16"
            },
            "conflict": {
                "egulias/email-validator": "~3.0.0",
                "symfony/mailer": "<4.4"
            },
            "require-dev": {
                "egulias/email-validator": "^2.1.10|^3.1",
                "symfony/dependency-injection": "^3.4|^4.1|^5.0"
            },
            "time": "2021-11-19T11:24:24+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Component\\Mime\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Fabien Potencier",
                    "email": "fabien@symfony.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Allows manipulating MIME messages",
            "homepage": "https://symfony.com",
            "keywords": [
                "mime",
                "mime-type"
            ],
            "support": {
                "source": "https://github.com/symfony/mime/tree/v4.4.34"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/mime"
        },
        {
            "name": "symfony/polyfill-intl-idn",
            "version": "v1.23.0",
            "version_normalized": "1.23.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-idn.git",
                "reference": "65bd267525e82759e7d8c4e8ceea44f398838e65"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-idn/zipball/65bd267525e82759e7d8c4e8ceea44f398838e65",
                "reference": "65bd267525e82759e7d8c4e8ceea44f398838e65",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1",
                "symfony/polyfill-intl-normalizer": "^1.10",
                "symfony/polyfill-php72": "^1.10"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2021-05-27T09:27:20+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.23-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Idn\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Laurent Bassin",
                    "email": "laurent@bassin.info"
                },
                {
                    "name": "Trevor Rowbotham",
                    "email": "trevor.rowbotham@pm.me"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's idn_to_ascii and idn_to_utf8 functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "idn",
                "intl",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-idn/tree/v1.23.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-idn"
        },
        {
            "name": "symfony/polyfill-intl-normalizer",
            "version": "v1.23.0",
            "version_normalized": "1.23.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-normalizer.git",
                "reference": "8590a5f561694770bdcd3f9b5c69dde6945028e8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-normalizer/zipball/8590a5f561694770bdcd3f9b5c69dde6945028e8",
                "reference": "8590a5f561694770bdcd3f9b5c69dde6945028e8",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2021-02-19T12:13:01+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.23-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Normalizer\\": ""
                },
                "files": [
                    "bootstrap.php"
                ],
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's Normalizer class and related functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "intl",
                "normalizer",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-normalizer/tree/v1.23.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-normalizer"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.23.1",
            "version_normalized": "1.23.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "9174a3d80210dca8daa7f31fec659150bbeabfc6"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/9174a3d80210dca8daa7f31fec659150bbeabfc6",
                "reference": "9174a3d80210dca8daa7f31fec659150bbeabfc6",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2021-05-27T12:26:48+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.23-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-mbstring/tree/v1.23.1"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "symfony/polyfill-php72",
            "version": "v1.23.0",
            "version_normalized": "1.23.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php72.git",
                "reference": "9a142215a36a3888e30d0a9eeea9766764e96976"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php72/zipball/9a142215a36a3888e30d0a9eeea9766764e96976",
                "reference": "9a142215a36a3888e30d0a9eeea9766764e96976",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2021-05-27T09:17:38+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.23-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Php72\\": ""
                },
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 7.2+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php72/tree/v1.23.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-php72"
        },
        {
            "name": "symfony/polyfill-php80",
            "version": "v1.23.1",
            "version_normalized": "1.23.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php80.git",
                "reference": "1100343ed1a92e3a38f9ae122fc0eb21602547be"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php80/zipball/1100343ed1a92e3a38f9ae122fc0eb21602547be",
                "reference": "1100343ed1a92e3a38f9ae122fc0eb21602547be",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2021-07-28T13:41:28+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "1.23-dev"
                },
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Symfony\\Polyfill\\Php80\\": ""
                },
                "files": [
                    "bootstrap.php"
                ],
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ion Bazan",
                    "email": "ion.bazan@gmail.com"
                },
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 8.0+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php80/tree/v1.23.1"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-php80"
        },
        {
            "name": "tekintian/phpqrcode",
            "version": "1.0",
            "version_normalized": "1.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tekintian/phpqrcode.git",
                "reference": "c30b89ea4b5e3179f622ade27408cce7ee143efd"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tekintian/phpqrcode/zipball/c30b89ea4b5e3179f622ade27408cce7ee143efd",
                "reference": "c30b89ea4b5e3179f622ade27408cce7ee143efd",
                "shasum": ""
            },
            "require": {
                "php": "^5.3|^7.0"
            },
            "time": "2020-06-05T14:29:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "tekintian\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "description": "PHP qrcode 二维码工具类 改进版本，支持自定义LOGO，自定义输出目录和自定义返回类型，静态方法调用，方便快捷，高效，简洁的PHP二维码生成工具",
            "homepage": "https://github.com/tekintian/phpqrcode",
            "keywords": [
                "PHP二维码",
                "php qrcode with logo",
                "phpqrcode",
                "qrcode",
                "tiny qrcode",
                "二维码工具"
            ],
            "support": {
                "forum": "https://github.com/tekintian/phpqrcode",
                "issues": "https://github.com/tekintian/phpqrcode/issues",
                "source": "https://github.com/tekintian/phpqrcode"
            },
            "install-path": "../tekintian/phpqrcode"
        },
        {
            "name": "twinkle/di",
            "version": "v1.0.3",
            "version_normalized": "1.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/actors315/DI.git",
                "reference": "9df44a580d743465528414fac08e92a3e7f5eb92"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/actors315/DI/zipball/9df44a580d743465528414fac08e92a3e7f5eb92",
                "reference": "9df44a580d743465528414fac08e92a3e7f5eb92",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6.0",
                "psr/container": "^1.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^5.7"
            },
            "time": "2020-01-14T12:18:39+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Twinkle\\DI\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "description": "实现PSR-11容器接口",
            "support": {
                "issues": "https://github.com/actors315/DI/issues",
                "source": "https://github.com/actors315/DI/tree/v1.0.3"
            },
            "install-path": "../twinkle/di"
        },
        {
            "name": "yurunsoft/chinese-util",
            "version": "v2.0.3",
            "version_normalized": "2.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Yurunsoft/ChineseUtil.git",
                "reference": "3afac3931d466a8b137a8c1954761b284db30e79"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Yurunsoft/ChineseUtil/zipball/3afac3931d466a8b137a8c1954761b284db30e79",
                "reference": "3afac3931d466a8b137a8c1954761b284db30e79",
                "shasum": ""
            },
            "require-dev": {
                "phpunit/phpunit": ">=4"
            },
            "time": "2021-02-02T03:17:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Yurun\\Util\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "description": "PHP 中文工具包，支持汉字转拼音、拼音分词、简繁互转、数字转换、金额数字转换。",
            "support": {
                "issues": "https://github.com/Yurunsoft/ChineseUtil/issues",
                "source": "https://github.com/Yurunsoft/ChineseUtil/tree/v2.0.3"
            },
            "install-path": "../yurunsoft/chinese-util"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
